--- base/platform_thread_posix.cc
+++ base/platform_thread_posix.cc
@@ -9,7 +9,7 @@
 
 #if defined(OS_MACOSX)
 #include <mach/mach.h>
-#elif defined(OS_LINUX)
+#elif defined(OS_NIX)
 #include <sys/syscall.h>
 #include <unistd.h>
 #endif
@@ -35,6 +35,9 @@ PlatformThreadId PlatformThread::CurrentId() {
   return mach_thread_self();
 #elif defined(OS_LINUX)
   return syscall(__NR_gettid);
+#elif defined(OS_FREEBSD)
+  // TODO(benl): find a better thread ID
+  return reinterpret_cast<int64>(pthread_self());
 #endif
 }
 
diff --git base/process.h base/process.h
index 53512ce..1ef66ee 100644
